/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * CaException.java,v 1.2 2002/08/02 15:39:11 jba Exp
 */

package jca;
import java.lang.*;

/**
 * Signals that a Channel Access Exception has occurred.
 * Base class for channel access exceptions.
 */
public class CaException extends Exception {
  public CaException() {
    super();
  }
  public CaException(String s) {
    super(s);
  }
}
