/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_STS_DBByte.java,v 1.2 2002/08/02 15:39:16 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_STS_CHAR type.
 *
 */
public class DBR_STS_DBByte extends DBR_DBByte implements DBR_STS {
  protected short m_status;
  protected short m_severity;

  public DBR_STS_DBByte() {
    super(1);
  }
  
  public DBR_STS_DBByte(int count) {
    super(count);
  }

  public int type() {
    return DBR.STS_BYTE;
  }

  public short status() {
    return m_status;
  }
  
  public short severity() {
    return m_severity;
  }
  
  protected void setInfo(short status, short severity) {
    m_status= status;
    m_severity= severity;
  }
}
