/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBShort.java,v 1.2 2002/08/02 15:39:19 jba Exp
 */

package jca.dbr;
import java.lang.*;


public class DBShort extends DBData {
  protected short m_value;
  
  public DBShort(short val) {
    m_value= val;
  }
  
  public byte byteValue() {
    return (byte)m_value;
  }
  
  public short shortValue() {
    return (short)m_value;
  }
  
  public int intValue() {
    return (int)m_value;
  }
  
  public long longValue() {
    return (long)m_value;
  }
  
  public float floatValue() {
    return (float)m_value;
  }
  
  public double doubleValue() {
    return (double)m_value;
  }
  
  public String stringValue() {
    return String.valueOf(m_value);
  }
}